'use strict';

const Item = require('./Item-00ce8c24.js');
require('./_commonjsHelpers-537d719a.js');
require('./index-09251373.js');

class Verification {
    constructor(connection) {
        this.connection = connection;
    }
    async create(request, tokenize) {
        return await this.connection.post("verification/", request, {
            accept: tokenize ? "application/jwt" : "application/json",
        });
    }
    static open(url, token) {
        const connection = Item.Connection.open(url, token);
        return connection && new Verification(connection);
    }
}

exports.Verification = Verification;
